Get all offramp transactions
curl --request GET \
--url https://api.developer.coinbase.com/onramp/v1/sell/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.developer.coinbase.com/onramp/v1/sell/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.developer.coinbase.com/onramp/v1/sell/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.developer.coinbase.com/onramp/v1/sell/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.developer.coinbase.com/onramp/v1/sell/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.developer.coinbase.com/onramp/v1/sell/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.developer.coinbase.com/onramp/v1/sell/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next_page_key": "<string>",
"transactions": [
{
"asset": "<string>",
"coinbase_fee": {
"currency": "<string>",
"value": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"exchange_rate": {
"currency": "<string>",
"value": "<string>"
},
"from_address": "<string>",
"minimum_total": {
"currency": "<string>",
"value": "<string>"
},
"network": "<string>",
"redirect_url": "<string>",
"sell_amount": {
"currency": "<string>",
"value": "<string>"
},
"status": "TRANSACTION_STATUS_CREATED",
"subtotal": {
"currency": "<string>",
"value": "<string>"
},
"to_address": "<string>",
"total": {
"currency": "<string>",
"value": "<string>"
},
"transaction_id": "<string>",
"tx_hash": "<string>",
"unit_price": {
"currency": "<string>",
"value": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"payment_method": "UNSPECIFIED"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Onramp/Offramp
Get all offramp transactions
Returns all offramp transactions created by your app in the provided time period.
GET
/
v1
/
sell
/
transactions
Get all offramp transactions
curl --request GET \
--url https://api.developer.coinbase.com/onramp/v1/sell/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.developer.coinbase.com/onramp/v1/sell/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.developer.coinbase.com/onramp/v1/sell/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.developer.coinbase.com/onramp/v1/sell/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.developer.coinbase.com/onramp/v1/sell/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.developer.coinbase.com/onramp/v1/sell/transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.developer.coinbase.com/onramp/v1/sell/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"next_page_key": "<string>",
"transactions": [
{
"asset": "<string>",
"coinbase_fee": {
"currency": "<string>",
"value": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"exchange_rate": {
"currency": "<string>",
"value": "<string>"
},
"from_address": "<string>",
"minimum_total": {
"currency": "<string>",
"value": "<string>"
},
"network": "<string>",
"redirect_url": "<string>",
"sell_amount": {
"currency": "<string>",
"value": "<string>"
},
"status": "TRANSACTION_STATUS_CREATED",
"subtotal": {
"currency": "<string>",
"value": "<string>"
},
"to_address": "<string>",
"total": {
"currency": "<string>",
"value": "<string>"
},
"transaction_id": "<string>",
"tx_hash": "<string>",
"unit_price": {
"currency": "<string>",
"value": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"payment_method": "UNSPECIFIED"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Enter your JSON Web Token (JWT) here. Refer to the Generate JWT section of our Authentication docs for information on how to generate your Bearer Token.
Query Parameters
Was this page helpful?